summaryrefslogtreecommitdiff
path: root/automated
diff options
context:
space:
mode:
authorNaresh Kamboju <naresh.kamboju@linaro.org>2016-11-18 14:08:25 +0530
committerMilosz Wasilewski <milosz.wasilewski@linaro.org>2016-11-18 13:09:01 +0000
commit89e5357d822cb0ec9e1fd582a070ea54df757be1 (patch)
treef35de87eb7fb5c34da8cfceff6e984e6baa1d4f4 /automated
parentb2a67fa64bfb7ca42575d3b923fb56f188b1d4aa (diff)
automated: linux: Adding pointer-tagging-tests
Change-Id: I86a865f301727281dbff81924e349daff86eb7ce Signed-off-by: Naresh Kamboju <naresh.kamboju@linaro.org>
Diffstat (limited to 'automated')
-rwxr-xr-xautomated/linux/pointer-tagging/pointer-tagging-tests.sh48
-rw-r--r--automated/linux/pointer-tagging/pointer-tagging-tests.yaml33
2 files changed, 81 insertions, 0 deletions
diff --git a/automated/linux/pointer-tagging/pointer-tagging-tests.sh b/automated/linux/pointer-tagging/pointer-tagging-tests.sh
new file mode 100755
index 0000000..51c30b5
--- /dev/null
+++ b/automated/linux/pointer-tagging/pointer-tagging-tests.sh
@@ -0,0 +1,48 @@
+#!/bin/sh
+
+# shellcheck disable=SC1091
+. ../../lib/sh-test-lib
+
+OUTPUT="$(pwd)/output"
+RESULT_FILE="${OUTPUT}/result.txt"
+export RESULT_FILE
+
+usage() {
+ echo "Usage: $0 [-s <true>]" 1>&2
+ exit 1
+}
+
+while getopts "s:" o; do
+ case "$o" in
+ s) SKIP_INSTALL="${OPTARG}" ;;
+ *) usage ;;
+ esac
+done
+
+pointer_tagging_build_test() {
+
+ git clone https://git.linaro.org/qa/pointer-tagging-tests.git
+ # shellcheck disable=SC2164
+ cd pointer-tagging-tests
+ make all
+ # Run tests
+ for tests in $(./pointer_tagging_tests -l) ; do
+ ./pointer_tagging_tests -t "${tests}"
+ check_return "${tests}"
+ done
+}
+
+# Test run.
+! check_root && error_msg "This script must be run as root"
+[ -d "${OUTPUT}" ] && mv "${OUTPUT}" "${OUTPUT}_$(date +%Y%m%d%H%M%S)"
+mkdir -p "${OUTPUT}"
+
+info_msg "About to run pointer-tagging-tests test..."
+info_msg "Output directory: ${OUTPUT}"
+
+# Install packages
+pkgs="binutils gcc git make"
+install_deps "${pkgs}" "${SKIP_INSTALL}"
+
+# Build pointer tagging tests and run tests
+pointer_tagging_build_test
diff --git a/automated/linux/pointer-tagging/pointer-tagging-tests.yaml b/automated/linux/pointer-tagging/pointer-tagging-tests.yaml
new file mode 100644
index 0000000..62435a7
--- /dev/null
+++ b/automated/linux/pointer-tagging/pointer-tagging-tests.yaml
@@ -0,0 +1,33 @@
+metadata:
+ name: pointer-tagging-tests
+ format: "Lava-Test-Shell Test Definition 1.0"
+ description: "This test suite is designed to verify that the AArch64
+ tagged-addressing feature is properly supported. Tagged addressing
+ is guaranteed to be available in the ARMv8 architecture"
+
+ maintainer:
+ - naresh.kamboju@linaro.org
+ os:
+ - debian
+ - ubuntu
+ - centos
+ - fedora
+ scope:
+ - functional
+ devices:
+ - juno
+ - overdrive
+ - d05
+ - d03
+ - hi6220-hikey
+ - apq8016-sbc
+ - rtsm_fvp_base-aemv8a
+
+params:
+ SKIP_INSTALL: "False"
+
+run:
+ steps:
+ - cd ./automated/linux/pointer-tagging/
+ - ./pointer-tagging-tests.sh -s "${SKIP_INSTALL}"
+ - ../../utils/send-to-lava.sh ./output/result.txt